html {
  height: 100%;
  width: 100%;
  overflow-x: hidden;
}

.navbarContainer {
  background-color:rgba(255,255,255,0.95);
  position: fixed;
  margin: -65px auto 0px auto;
  padding-top: 10px;
  padding-bottom: 10px;
  width: 100%;
  height: 50px;
  z-index: 5;
}

#navbar {
  position: fixed;
  display: block;
  padding: 0px 0px 0px 75px;
  width: 90%;
}

.bodyContent {
  margin-top: 60px;
  margin-bottom: 100px;
}

h3 {
  font-size: 3rem;
}

#navbar h3 {
  float: left;
  font-size: 24pt;
}

#navbar #beta {
  position: absolute;
  color: #0CB863;
  font-size: 12pt;
  margin-top: 17px;
  margin-left: 3px;
}

#navbar ul {
  overflow: hidden;
  float: right;
  list-style-type: none;
  margin-top: 7px;
  padding: 0;
  font-size: 16pt;
}

#navbar ul li {
  display: inline;
  padding-left: 8px;
  padding-right: 8px;
}

.nav ul .selected {
  font-weight: bold;
  color: #0CB863;
}

.signupBadge {
  border: 1px solid;
  border-radius: 20px;
  border-color: #0CB863;
}

.signupBadge:hover {
  background-color: #0CB863;
  color: white;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

a {
  text-decoration: none;
  color: inherit;
}

a {
  text-decoration: none;
  color: inherit;
}

.main {
  position: relative;
  clear: both;
  width: 90%;
  margin: auto;
  padding: 10px;
  box-sizing: border-box;
}

.example .before {
  float: left;
  width: 50%;
}

.example .after {
  float: right;
  width: 50%;
}

.example img {
  width: 80%;
  border:1px solid #CCC;
}

section.hero {
  text-align: center;
}

section.hero h3 {
  margin-bottom: 1rem;
}

section.hero #subtitle {
  margin: auto;
  width: 500px;
  font-size: 16pt;
}

section.login {
  margin: auto;
  width: 300px;
}
section.login input[type='text'],
section.login input[type='password'] {
  border: 1px solid;
  width: 300px;
}

section.login #loginButton {
  float: left;
  width: 140px;
  padding: 0px;
  background-color: #0CB863;
  color: white;
}

section.login #loginButton:hover {
  background-color: #09A459;
  -webkit-transition: background-color 0.2s ease-in-out;
  -moz-transition: background-color 0.2s ease-in-out;
  -ms-transition: background-color 0.2s ease-in-out;
  -o-transition: background-color 0.2s ease-in-out;
  transition: background-color 0.2s ease-in-out;
}

section.login #signupButton {
  float: left;
  margin-left: 10px;
  width: 140px;
  padding: 0px;
}

section.login h4 {
  float: left;
  margin-left: 0px;
}

section.login .flash {
  clear: both;
  color: red;
}

section.register {
  margin: auto;
  text-align: center;
  width: 400px;
}

section.register .title {
  text-align: left;
  margin-left: 50px
}
section.register input[type='text'],
section.register input[type='password'] {
  border: 1px solid;
  width: 300px;
}

section.register #registerButton {
  display: block;
  margin: 0 auto;
  width: 140px;
  padding: 0px;
  background-color: #0CB863;
  color: white;
}

section.register #registerButton:hover {
  background-color: #09A459;
  -webkit-transition: background-color 0.2s ease-in-out;
  -moz-transition: background-color 0.2s ease-in-out;
  -ms-transition: background-color 0.2s ease-in-out;
  -o-transition: background-color 0.2s ease-in-out;
  transition: background-color 0.2s ease-in-out;
}

section.login h4 {
  float: left;
  margin-left: 0px;
}

section.login .flash {
  clear: both;
  color: red;
}

section.tryitout {
  margin: auto;
  width: 95%;
}

section.tryitout h4 {
  margin-bottom: 0.5rem;
}

section.why {
  position: absolute;
  clear: both;
  margin: 0 auto 50px auto;

}

section.why .main {
  margin: 15px auto auto auto;
  text-align: center;
}

section.why h4 {
  margin-bottom: 0.5rem;
}

section.why #subtitle {
  width: 60%;
  text-align: center;
  margin: auto auto 10px auto;
  font-size: 14pt;
}

.sextuplesec .main {
  width: 80%;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: row /* works with row or column */
  flex-direction: row;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
}

.sextuplesec .tripleSection {
  text-align: center;
  width: 33%;
  max-width: 350px;
  display: inline-block;
  width: 33%;
  padding-left: 5px;
  padding-right: 5px;
  margin: 5px auto 5px auto;
}

.tripleTitle {
  text-align: center;
  font-size: 20pt;
}

.sextupleImg {
  display: block;
  height: 50px;
  width: 50px;
  margin-left: auto;
  margin-right: auto;
}

.tripleInfo {
  font-size: 12pt;
  text-align: left;
}

.readmore {
  color: #8D8D8D;
  float: left;
  font-size: 11pt;
}

.green {
  color: #0CB863;
}

.apikey {
  color: #0CB863 !important;
  background-color: initial !important;
}

.docGreen {
  color: #0CB863;
  font-weight: bold;
}

.red {
  color: red;
}

#subnav ul {
  overflow: hidden;
  list-style-type: none;
  margin-top: 5px;
  padding: 0;
  font-size: 14pt;
}

#subnav ul .selected {
  font-weight: bold;
  color: #0CB863;
}

#subnav ul .seperator {
  height: 1px;
}

.documentationMain {
  margin-left: 22%;
}

.documentationMain table {
  table-layout: fixed;
}

#documentationNav {
  position: fixed;
  height: 80%;
  display: inline-block;
  overflow: hidden;
  overflow-y: auto;
  border: #CECECE solid 1px;
  padding: 10px;
}

#newExample {
  position: absolute;
  margin-top: 5px;
  margin-left: 10px;
  margin-bottom: 0;
}

@media screen and (max-width: 1000px) {
  #documentationNav {
    display: none;
  }
  .documentationMain, .container   {
    width: 100% !important;
    margin: auto;
  }
  .pricingTable {
    margin: auto;
  }
}

#documentationNav ul {
  overflow: hidden;
  list-style-type: none;
  margin-top: 5px;
  padding: 0;
  font-size: 14pt;
}

#documentationNav ul .selected {
  font-weight: bold;
  color: #0CB863;
}

#documentationNav ul .seperator {
  height: 1px;
}

.caption {
  display: block;
  text-align: center;
}

.subtitle, .title {
  clear: both;
}

.price {
  font-size: 20pt;
}

.subprice {
  font-size: 10pt;
}

.subpricing {
  font-size: 10pt;
}

#upgradeSubscription, #selectPlan {
  background: #1275ff;
  color: white;
  background-image: -webkit-linear-gradient(#7dc5ee,#008cdd 85%,#30a2e4);
  position: relative;
  padding: 0 12px;
  height: 30px;
  line-height: 30px;
  text-shadow: 0 -1px 0 rgba(0,0,0,0.25);
}

.greenButton {
  background-color: #0CB863 !important;
  color: white !important;
}

.redButton {
  background-color: #B80414 !important;
  color: white !important;
}

#limits, #tagLimits, #usernameLimits {
  display: none;
}

.announcements {
  margin-top: 25px;
  clear: both;
}

.announcements .entry {
  margin-top: -15px;
}

.announcements .entry .title {
  font-size: 14pt;
}

.announcements .entry p {
  margin-top: 5px;
  margin-bottom: 5px;
}

#submit:disabled {
  background-color: #FF8181;
  color: white;
}

.clear {
  clear: both;
}

.recaptcha {
  margin: auto;
  display: table;
  margin-bottom: 10px;
}

/* https://codepen.io/rdallaire/pen/apoyx */
#return-to-top {
    position: fixed;
    bottom: 20px;
    left: 20px;
    background: rgb(0, 0, 0);
    background: rgba(0, 0, 0, 0.7);
    width: 50px;
    height: 50px;
    display: block;
    text-decoration: none;
    -webkit-border-radius: 35px;
    -moz-border-radius: 35px;
    border-radius: 35px;
    display: none;
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
#return-to-top i {
    color: #fff;
    margin: 0;
    position: relative;
    left: 16px;
    top: 13px;
    font-size: 19px;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
#return-to-top:hover {
    background: rgba(0, 0, 0, 0.9);
}
#return-to-top:hover i {
    color: #fff;
    top: 5px;
}

.ads {
  clear: both;
  margin: 10px auto 10px auto;
  width: 50%;
}

#version {
  margin-left: 30px;
}

.snippetDisclaimer {
  width: 750px;
  height: auto;
}

input:read-only {
  background-color: #d1d1d1;
  color: #414141;
}

.dashboard .info {
  display: inline-block;
  float: left;
  width: 50%;
  margin-bottom: 25px;
}

.dashboard .stats {
  display: inline-block;
  float: right;
  width: 50%;
}

@media screen and (max-width: 900px) {
  .mobileNav {
    display: block !important;
  }
  .nav {
    display: none !important;
  }
  #navbar {
    display: none !important;
  }
  .navbarContainer {
    display: none !important;
  }

  .navLogo {
    display: none !important;
  }

  .sextuplesec .main {
    width: 100%;
    display: initial;
  }

  .tripleSection {
    width: 100%;
    height: auto;
    clear: both;
  }

  .sextuplesec div {
    margin-bottom: 50px;
  }

  .sextuplesec div p {
    text-align: center;
  }

  .sextuplesec .tripleSection {
    text-align: center;
    width: 100%;
    max-width: 500px;
    padding-left: 5px;
    padding-right: 5px;
    margin: 40px auto auto auto;
    display: block;
  }

  .readmore {
    color: #ADADAD;
    float: initial;
    font-size: 11pt;
  }

  .tripleTitle {
    text-align: center;
  }

  .tripleInfo {
    font-size: 12pt;
    width: 80%;
    margin: auto;
    margin-bottom: 0px;
  }

  section.hero {
    margin: auto;
  }

  section.hero #subtitle {
    margin: auto;
    width: 100%;
    max-width: 425px;
    font-size: 14pt !important;
  }

  section.hero h3 {
    font-size: 22pt !important;
  }

  .freeLogo h3 {
    margin-top: 15px;
    margin-left: 15px;
    font-size: 3.6rem;
    margin-bottom: 0rem;
  }

  .freeLogo #beta {
    position: absolute;
    color: #0CB863;
    font-size: 12pt;
    margin-top: 20px;
    margin-left: 3px;
  }

  h3 {
    font-size: 2.5rem;
  }

  #subtitle {
    font-size: 12pt !important;
  }

  .main {
    padding: 5px;
  }

  .ads {
    display: none;
  }

  section.tryitout {
    width: 90% !important;
    height: 700px;
  }

  section.tryitout h4 {
    font-size: 3.0rem;
    margin-bottom: 1rem !important;
  }

  #aceEditor {
    margin-bottom: 2.5rem !important;
    width: 100% !important;
  }

  #clearLog {
    margin: -5px 0 0 10px !important;
  }

  #preview {
    margin-top: -15px !important;
    margin-left: 0px !important;
    margin-bottom: 15px !important;
    float: left !important;
    width: 100% !important;
  }

  #results {
    padding: 0px !important;
  }

  .example .before {
    float: initial;
    width: 100%;
  }

  .example .after {
    float: initial;
    width: 100%;
  }

  .example img {
    width: 80%;
    border:1px solid #CCC;
  }

  section.why #subtitle {
    width: 80%;
    font-size: 14pt !important;
  }

  .dashboard .info {
    display: initial;
    width: initial;
    float: initial;
  }

  .dashboard .stats {
    display: initial;
    width: initial;
    float: initial;
  }

  #subnav {
    display: none;
  }
}

.invisible { display: none; }

.mobileNav h3 {
  margin-bottom: 0rem;
}

.mobileNav {
  display: none;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 10;
}
.mobileNav div {
  display: none;
}
.mobileNav button {
  position: absolute;
  top: 15px;
  right: 15px;
  border: 0;
  text-indent: 200%;
  overflow: hidden;
  background: rgba(255,255,255,0.8) url("http://i.imgur.com/vKRaKDX.png") center no-repeat;
  border: 1px solid #ddd;
  border-radius: 3px;
  background-size: 80%;
  width: 40px;
  height: 40px;
  outline: none;
  -webkit-transition: all 400ms ease;
  transition: all 400ms ease;
}
.mobileNav button.expanded {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
  background-color: transparent;
  border: 0;
}
.mobileNav a {
  display: block;
}

.mobileNav a {
  background: #eee;
  text-align: center;
  padding: 5px 0;
  border-bottom: 1px solid #ddd;
  text-decoration: none;
  color: #222;
  font-weight: bold;
}
.mobileNav a:hover,
.mobileNav a:active,
.mobileNav a:focus {
  background: #e7e7e7;
}

.mobileNav #beta {
  position: relative;
  color: #0CB863;
  font-size: 12pt;
  margin-left: 3px;
}

#homepageSignupButton {
  margin: 10px auto 10px auto;
  width: 200px;
  padding: 0px;
  background-color: #0CB863;
  color: white;
  height: 50px;
  font-size: 11pt;
  text-transform: none;
}

#homepageSignupButton:hover {
  background-color: #09A459;
  -webkit-transition: background-color 0.2s ease-in-out;
  -moz-transition: background-color 0.2s ease-in-out;
  -ms-transition: background-color 0.2s ease-in-out;
  -o-transition: background-color 0.2s ease-in-out;
  transition: background-color 0.2s ease-in-out;
}

.console {
  clear: both;
}

.console textarea {
  font-family: monospace, monospace;
  width: 100%;
  height: 150px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}

.console h3 {
  margin-bottom: 1rem;
  float: left;
}

.editor h3 {
  margin-bottom: 1rem;
}

.console .consoleInfo {
  width: auto;
  float: left;
  display: inline-block;
}

.console .consoleURI {
  display: inline-block;
  margin-left: 10px;
}

.console .consoleURI input {
  display: block;
  overflow: hidden;
  width: 500px;
}

.arrow-down {
  width: 0;
  height: 0;
  display: inline-block;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid black;
}


/* Dropdown Button */
.dropbtn {
    background-color: #4CAF50;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

/* Dropdown button on hover & focus */
.dropbtn:hover, .dropbtn:focus {
    background-color: #3e8e41;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}

/* Links inside the dropdown */
.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:not(.noclicky):hover {background-color: #f1f1f1}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {display:block;}

#mobileSubNavMenu {
  display: inline-block;
}

#dropdown {
  z-index: 10;
}

.noclicky {
  cursor: default;
}

.noclicky a:hover {
    background-color: red !important;
}

#promote {
  margin-top: 10px;
}

#twitterhandle {
  text-align: center;
}
